Bug 976549 - SASL GSSAPI Ignores Custom Keytab
SASL GSSAPI Ignores Custom Keytab
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cyrus-sasl (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Petr Lautrbach
David Spurek
:
Depends On: 976538
Blocks: 1024488
  Show dependency treegraph
 
Reported: 2013-06-20 14:51 EDT by Solly Ross
Modified: 2015-03-02 00:27 EST (History)
6 users (show)

See Also:
Fixed In Version: cyrus-sasl-2.1.26-9.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 976538
: 1024488 (view as bug list)
Environment:
Last Closed: 2014-06-13 05:27:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Solly Ross 2013-06-20 14:51:30 EDT
+++ This bug was initially created as a clone of Bug #976538 +++

Description of problem:

SASL GSSAPI ignoring `keytab` parameter in /etc/sasl2/xyz.conf

Version-Release number of selected component (if applicable):

cyrus-sasl-2.1.26-8


Steps to Reproduce:
1.turn on GSSAPI in /etc/sasl2/something.conf as a mechanism
2.set the keytab using the `keytab: /some/path/krb5.tab` in /etc/sasl2/something.conf
3. Try to use the program that uses sasl

Actual results:

The program configured with a custom keytab uses the default keytab

Expected results:

A program configured with a custom keytab should use that keytab

--- Additional comment from Nalin Dahyabhai on 2013-06-20 14:30:29 EDT ---
Comment 4 Ludek Smid 2014-06-13 05:27:04 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.